[<960] Installer les sources de Forge


  • Administrateurs

    gradlew.bat eclipse
    Sinon il te prépare pas la worldspace pour eclipse.


  • Administrateurs

    Je sais, je suis déjà entrain d'installer le build 964 de Forge. J'ai mis gradlew.bat Eclipse, mais si je met gradlew.bat Forge dans le build.xml, ça va fonctionner ou pas?


  • Administrateurs

    Non, pas du tout, car il n'y a plus mcp, et mon script passe par mcp.


  • Administrateurs

    Ok, dès que j'arrive à comprendre comment faire fonctionner le project Eclpse correctement, je m'attaque à la version 2 du build.xml.


  • Administrateurs

    De toute façon il est mieux d'attendre la 1.7 :

    Les builds 960 + sont des préparations pour la 1.7, il ne vaut mieux pas les utiliser, ils sont différents car ils n'ont pas la compatibilité modloader, et quelques autres différences dû aux préparations pour la 1.7


  • Administrateurs

    J'ai quand même réussi à créer un build.xml qui télécharge et installe les builds >=960, pour l'instant, il ne build pas car, j'ai pas encore trouvé comment faire. Et je n'ai pas réussi à le faire fonctionner avec Eclipse, ni ou je dois mettre les src.

    Résultat:

    Buildfile: C:\Users\Superloup10\Documents\GitHub\Ere_Geologique\build.xml
    
    build:
    
    download-and-setup-forge:
    [propertyfile] Updating property file: C:\Users\Superloup10\Documents\GitHub\Ere_Geologique\newbuild.properties
    [propertyfile] Updating property file: C:\Users\Superloup10\Documents\GitHub\Ere_Geologique\newbuild.properties
    [get] Getting: http://files.minecraftforge.net/maven/net/minecraftforge/forge/1.6.4-9.11.1.964/forge-1.6.4-9.11.1.964-src.zip
    [get] To: C:\Users\Superloup10\Documents\GitHub\forge-1.6.4-9.11.1.964-src.zip
    [mkdir] Created dir: C:\Users\Superloup10\Documents\GitHub\forgetemp
    [unzip] Expanding: C:\Users\Superloup10\Documents\GitHub\forge-1.6.4-9.11.1.964-src.zip into C:\Users\Superloup10\Documents\GitHub\forgetemp
    Moving 24 files to C:\Users\Superloup10\Documents\GitHub\forge\9.11.1.964
    [delete] Deleting: C:\Users\Superloup10\Documents\GitHub\forge-1.6.4-9.11.1.964-src.zip
    [exec] ****************************
    [exec] Powered By MCP:
    [exec] http://mcp.ocean-labs.de/
    [exec] Searge, ProfMobius, Fesh0r,
    [exec] R4wk, ZeuX, IngisKahn
    [exec] MCP Data version : unknown
    [exec] ****************************
    [exec] :getAssets
    [exec] :copyAssets
    [exec] :downloadClient SKIPPED
    [exec] :downloadServer SKIPPED
    [exec] :extractUserDev
    [exec] :mergeJars SKIPPED
    [exec] :applyBinPatches SKIPPED
    [exec] :downloadMcpTools
    [exec] :genSrgs
    [exec] :deobfuscateJar
    [exec] Applying SpecialSource…
    [exec] Applying Exceptor…
    [exec] :extractNatives
    [exec] :setupDevWorkspace
    [exec] :eclipseClasspath
    [exec] :eclipseJdt
    [exec] :eclipseProject
    [exec] :eclipse
    [exec]
    [exec] BUILD SUCCESSFUL
    [exec]
    [exec] Total time: 3 mins 46.467 secs
    
    BUILD SUCCESSFUL
    Total time: 3 minutes 50 seconds
    


  • Bonjour, je me sens vraiment très bête car je n'arrive pas à refaire vos étapes.

    Lorsque j'applique votre tutos, voici mon résultat :

    Où est mon erreur ?

    Je me permets une autre question: vos tutos sont faits en fonction d'éclipse ( c'est donc le programme que j'ai utilisé pour les refaire ).
    Puis je à l'avenir utiliser Netbeans ? ( car je vois que vous utilisez Maven)


  • Administrateurs

    Je ne vois aucun problème dans ce que tu nous montres. Nous n'utilisons que le Java, mais pas Maven. Et nous utilisons Eclipse, car le projet Minecraft est conçu pour fonctionner avec Eclipse.



  • Bonjour et merci de votre rapidité,

    Merci pour votre éclaircissent pour l'IDE.

    L'auteur du tutos poste.

    Votre projet devrait ressembler à ceci.

    Et la différence entre son projet et le mien m'a fait pensé à une erreur.
    ( comme chez moi il manque jiinput.jar lwjgl.jar ect ect )


  • Administrateurs

    Dans ton screen, tu as Referenced Library, si tu l'ouvres, tu auras les librairies manquantes.



  • Merci encore. ❤
    Je ferais cela ce soir. Je suis au cours de Java Po justement 😛 ( jusque 22h ).


  • Administrateurs

    Avec forge gradle tu peux utiliser Eclipse ou Idea, par contre pour Netbeans je ne sais pas.



  • Salut, je bosse actuelement sur un serveur qui tourne avec Forge 9.11.1.953, j'ai donc télécharger les sources sur le site de Forge et j'ai lancé l'instalation.
    Après cela, j'ai lancé éclipse et voici ce qui apparaît:

    Je ne peut donc pas expend le dossier src.

    Si quelqu'un sait d'ou sa peut venir, je lui en serait très reconaissant :3

    Cordialement Lolof.


  • Administrateurs

    Merci de lire le tutoriel, les anciennes versions ne sont plus utilisables.


Log in to reply